#Supplementary file 1- Python script to compute windowed mapping depths. This is for ana-morph and 10kb windows, but can be adjusted for a future user’s needs.

import gzip

inhandle = gzip.open("ana.deps.gz", "rt")
outhandle = open("windSumsAna10k.out", "w")

wl = 10000

first = True
scaff = ""

for line in inhandle:

    if first == True:
        wp, wn, ws = 0, 0, 0 # position in window, number of the window, and count sum of the current window
        #print("First line!")
        first = False
        olda, oldb, oldc = line.split("\t")[:3]
        ws += int(oldc)
        wp += 1
    else:
        a, b, c = line.split("\t")[:3]

        if a != olda:
            #print("New Scaffold, dropping end of the last one!")
            wp, ws, wn = 0, 0, 0

        if wp == wl: # end of window
            outhandle.write("\t".join([olda, str(wl*wn), str(wl*(wn+1)), str(ws/wl)]) + "\n")
            wp, ws = 0, 0
            wn += 1

        olda, oldb, oldc = a, b, c
        wp += 1
        ws += int(c)

outhandle.write("\t".join([olda, str(wl*wn), str(wl*(wn+1)), str(ws/wl)]) + "\n")
outhandle.close()
inhandle.close()
